<?php
/**
 * Define a Dasboard
 * @author Jean CARRUESCO
 * @category Plugin
 * @license copyright
 */
class Dashboard extends Entity{

	public $id;
	public $label; //Libellé (Texte)
	public $slug; //Slug (Texte)
	public $scope; //Scope (Texte)
	public $uid; //Uid (Texte)

	protected $TABLE_NAME = 'dashboard';
	public $entityLabel = 'Dasboard';
	public $fields = array(
		'id' => array('type'=>'key', 'label' => 'Identifiant'),
		'label' => array('type'=>'text','label' => 'Libellé'),
		'slug' => array('type'=>'text','label' => 'Slug'),
		'scope' => array('type'=>'text','label' => 'Portée'),
		'uid' => array('type'=>'text','label' => 'Identifiant unique')
	);

	//Colonnes indexées
	public $indexes = array();
}
